Search documentation of wx

# View Source wxIconizeEvent (wx v2.4.2)

Functions for wxIconizeEvent class

An event being sent when the frame is iconized (minimized) or restored.

See: Overview events, `wxTopLevelWindow:iconize/2`, `wxTopLevelWindow:isIconized/1`

This class is derived (and can use functions) from: `wxEvent`

wxWidgets docs: wxIconizeEvent

## Events

Use `wxEvtHandler:connect/3` with `wxIconizeEventType` to subscribe to events of this type.

# Summary

## Types

wxIconize()
wxIconizeEvent()
wxIconizeEventType()

## Functions

isIconized(This)

Returns true if the frame has been iconized, false if it has been restored.

# Types

Link to this type

# wxIconize()

View Source

    -type wxIconize() :: #wxIconize{type :: wxIconizeEvent:wxIconizeEventType(), iconized :: boolean()}.

Link to this type

# wxIconizeEvent()

View Source

    -type wxIconizeEvent() :: wx:wx_object().

Link to this type

# wxIconizeEventType()

View Source

    -type wxIconizeEventType() :: iconize.

# Functions

Link to this function

# isIconized(This)

View Source

    -spec isIconized(This) -> boolean() when This :: wxIconizeEvent().

Returns true if the frame has been iconized, false if it has been restored.